Package org.apache.datasketches.hive.hll

## Class SketchToEstimateAndErrorBoundsUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.hll.SketchToEstimateAndErrorBoundsUDF

    public class SketchToEstimateAndErrorBoundsUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`SketchToEstimateAndErrorBoundsUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Get an estimate and error bounds from a given HllSketch with default kappa
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, int kappa)` Get an estimate and error bounds from a given HllSketch with explicit kappa

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SketchToEstimateAndErrorBoundsUDF

    public SketchToEstimateAndErrorBoundsUDF()

### Method Detail

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Get an estimate and error bounds from a given HllSketch with default kappa

Parameters:
  `serializedSketch` - HllSketch in a serialized binary form
Returns:
  estimate and bounds

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 int kappa)

Get an estimate and error bounds from a given HllSketch with explicit kappa

Parameters:
  `serializedSketch` - HllSketch in a serialized binary form
  `kappa` - given number of standard deviations from the mean: 1, 2 or 3
Returns:
  estimate and bounds